{% extends "admin/base_site.html" %}
{% load i18n admin_urls admin_list thumbnailer %}

{% block extrahead %}{{ block.super }}
{{ media }}
{% endblock %}

{% block breadcrumbs %}
<div class="breadcrumbs">
<a href="{% url 'admin:index' %}">{% trans 'Home' %}</a>
&rsaquo; <a href="{% url 'admin:app_list' app_label=opts.app_label %}">{% firstof opts.app_config.verbose_name|capfirst|escape %}</a>
&rsaquo; {% if has_change_permission %}<a href="{% url opts|admin_urlname:'changelist' %}">{{ opts.verbose_name_plural|capfirst }}</a>{% else %}{{ opts.verbose_name_plural|capfirst }}{% endif %}
&rsaquo; Organize
</div>
{% endblock %}

{% block content %}
<div id="content-main" class="sortable-admin-list">
    {% block object-tools %}
    <ul class="object-tools">
        {% block object-tools-items %}
        <li>
            <a href="{% url opts|admin_urlname:'changelist' %}"
               class="back-link"><i class="icon material-icons">chevron_left</i> Back to {{opts.verbose_name_plural|title}}</a>
        </li>
        {% if has_add_permission %}
        <li>
            {% url opts|admin_urlname:'add' as add_url %}
            <a href="{% add_preserved_filters add_url is_popup to_field %}" class="addlink">
                {% blocktrans with opts.verbose_name as name %}Add {{ name }}{% endblocktrans %}
            </a>
        </li>
        {% endif %}
        {% endblock %}
    </ul>
    {% endblock %}
    {% block back-link %}
    {% endblock %}

    <p>
        {% block help_text %}
        <small>Drag items below to set display order</small>
        {% endblock help_text %}
    </p>

    {% block sortable-objects %}
    <div class="sortable-objects">
        {% for obj, image in objects %}
        <div class="sortable-objects__object" data-id="{{obj.pk}}">
            {% block sortable_object %}
            {% if has_sortable_image %}
            {% thumbnail image "200x200" as thumb %}
            <span class="sortable-image" style="background-image: url({{thumb.url}})"></span>
            {% endthumbnail %}
            {% endif %}
            <div class="sortable-objects__content">
                <i class="icon material-icons">swap_vert</i>
                <span class="sortable_objects__position">{{forloop.counter}}.</span>
                <span class="sortable-objects__title">{{obj}}</span>
                <a class="changelink" href="{% url opts|admin_urlname:'change' obj.pk %}">edit</a>
            </div>
            {% endblock sortable_object %}
        </div>
        {% endfor %}
    </div>
    {% endblock sortable-objects %}
</div>
{% endblock content %}
